org.eclipse.viatra.query.runtime.matchers.psystem.queries

## Enum PParameterDirection

- java.lang.Object
- - java.lang.Enum<PParameterDirection>
  - - org.eclipse.viatra.query.runtime.matchers.psystem.queries.PParameterDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PParameterDirection>

      public enum PParameterDirection
      extends java.lang.Enum<PParameterDirection>

  Values of this enum describe a constraint to the calling of patterns regarding its parameters.
  Since:
    1.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IN` The parameters marked with this constraints shall be set to a value before calling the pattern
    `INOUT` Default value, no additional constraint is applied
    `OUT` The parameters marked with this constraints shall not be set to a value before calling the pattern

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PParameterDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PParameterDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INOUT

          public static final PParameterDirection INOUT

      Default value, no additional constraint is applied

    - #### IN

          public static final PParameterDirection IN

      The parameters marked with this constraints shall be set to a value before calling the pattern

    - #### OUT

          public static final PParameterDirection OUT

      The parameters marked with this constraints shall not be set to a value before calling the pattern

  - ### Method Detail

    - #### values

          public static PParameterDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PParameterDirection c : PParameterDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PParameterDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null